'==================================================
'              Optusnet Usage Script             
'                     by dx!                     
'                http://www.t86.org               
'           Version 2.0b (kop48's version)              
'           THIS IS FOR ALL YOU OCAU'ers!  
' Modified by kop48 to allow for getting plan size
'          and calculating an estimated usage
'
'---------------------------------------------------
'
'     NEED AFFORDABLE, QUALITY WEBHOSTING? 
'             http://www.sufido.net
'
'===================================================
'  EDIT THESE TWO LINES WITH YOUR USERNAME + PASS
'            DO NOT REMOVE THE QUOTES!!!
'---------------------------------------------------
'
	username = "user"
	password = "pass"
'
'---------------------------------------------------
'      DO NOT TOUCH ANYTHING BELOW THIS LINE
'==================================================
'
'GET USAGE
'--------------------------------------------------

Function Get_Usage
	html = ReturnHTML("https://myaccount.optusnet.com.au/mydatamonitor/usage.txt?login=" & username & "&passwd=" & password &"")
	leftMark = instr( html, "usage=" ) 
	leftMark = leftMark +6
	rightMark = instr( leftMark, html, "MB" )
	Get_Usage = trim(mid( html, leftMark, (rightMark-leftMark)))
end function

Function Get_PlanSize
	html = ReturnHTML("https://myaccount.optusnet.com.au/mydatamonitor/usage.txt?login=" & username & "&passwd=" & password &"")
	leftMark = instr( html, "plan_limit=" ) 
	leftMark = leftMark +11
	rightMark = instr( leftMark, html, "MB" )
	Get_PlanSize = trim(mid( html, leftMark, (rightMark-leftMark)))
end function


' This function will calculate what usage you should be at if you divided
' your monthly limit by the number of days in the current month, then 
' multiplying it by the date to give you an approximation. This is handy
' for regulating your bandwidth so that you've got some left at the end 
' of the month. :)

Function Calc_Usage
	If Month(Date) = 2 And Year(Date) Mod 4 = 0 Then 
		monthSize = 29
	ElseIf Month(Date) = 2 And Year(Date) Mod 4 <> 0 Then
		monthSize = 28
	ElseIf Month(Date) Mod 2 = 0 Then 
		monthSize = 30
	Else 
		monthSize = 31
	End If
	Calc_Usage = (Get_PlanSize/monthSize) * Day(Date)
end function


'GET HTML
'--------------------------------------------------
Private Function ReturnHTML(sURL)
	Dim objXMLHTTP,HTML
	Set objXMLHTTP = CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "GET", sURL, False
	objXMLHTTP.Send
	HTML = objXMLHTTP.responseBody
	Set objRS = CreateObject("ADODB.Recordset")
	objRS.Fields.Append "txt", 200, 45000, &H00000080
	objRS.Open
	objRS.AddNew
	objRS.Fields("txt").AppendChunk HTML
	ReturnHTML = objRS("txt").Value
	objRS.Close
	Set objRS = Nothing
	Set objXMLHTTP = Nothing
End Function